/*
 * Image plugin to VDR (C++)
 *
 * (C) 2004-2008 Andreas Brachold <anbr at users.berlios.de>
 * (C) 2003 Kai Tobias Burwieck <kai@burwieck.net>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 */

#ifndef ___DATA_IMAGE_H
#define ___DATA_IMAGE_H

#include "data.h"
#include <vdr/tools.h>

// ----------------------------------------------------------------

extern cFileSources ImageSources;

class cFileSource;

// ----------------------------------------------------------------

class cImage
: public cListObject {

  cFileSource *m_pSource;
  char        *m_szFileName;
  
  char        *m_szFileNamePNM;
  char        *m_szFileNameIndex;
  char        *m_szFileNameZoom;
#ifdef HAVE_LIBEXIF
  int          m_nDefaultRotate;
#endif
protected:
  void Unlink(const char *szName);
  void Clear(void);
public:
  cImage(const char *szName, cFileSource * pSource);
  virtual ~cImage();
  bool CompareBaseDir(const cFileSource * pSource) const;

  inline const char *Name(void) const       
  { 
    return m_szFileName; 
  } 
  const char *NameZoom();
  const char *NamePNM();
  const char *NameIndex();

#ifdef HAVE_LIBEXIF
  int DefaultRotate() const { return m_nDefaultRotate; }
#endif
};

// ----------------------------------------------------------------


class cSlideShow
: public cScanDir 
, public cList < cImage > {

  char* m_szFirstImageName;
  cDirItem m_DirItem;

protected:

  virtual void DoItem(cFileSource * src, const char *subdir, const char *name);

public:
  cSlideShow(cDirItem * Item);
  virtual ~cSlideShow();
  virtual bool Load(void);

  inline const char* FirstImage() const { return m_szFirstImageName; } 
};

#endif				//___DATA_IMAGE_H
